html {
    font-family: sans-serif;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%
}

body {
    margin: 0
}

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

article, aside, details, figcaption, figure, footer, header, main, menu, nav, section, summary {
    display: block
}

a {
    background-color: transparent
}

b, strong {
    font-weight: 700
}

img {
    border: 0
}

svg:not(:root) {
    overflow: hidden
}

figure {
    margin: 1em 40px;
    width: auto !important;
}

button, input, optgroup, select, textarea {
    color: inherit;
    font: inherit;
    margin: 0
}

button, select {
    text-transform: none
}

select:not([multiple]) {
    outline: none;
    padding: 11px 45px 11px 15px;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz48c3ZnIHZlcnNpb249IjEuMSIgaWQ9IkxheWVyXzEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHg9IjBweCIgeT0iMHB4IiB3aWR0aD0iNTBweCIgaGVpZ2h0PSIyMHB4IiB2aWV3Qm94PSIwIDAgNTAgMjAiIGVuYWJsZS1iYWNrZ3JvdW5kPSJuZXcgMCAwIDUwIDIwIiB4bWw6c3BhY2U9InByZXNlcnZlIj48cGF0aCBkPSJNMjIuNiw4YzAtMC4xLDAtMC4yLDAuMS0wLjJsMC41LTAuNWMwLjEtMC4xLDAuMS0wLjEsMC4yLTAuMWMwLjEsMCwwLjIsMCwwLjIsMC4xbDMuNywzLjdsMy43LTMuN2MwLjEtMC4xLDAuMS0wLjEsMC4yLTAuMXMwLjIsMCwwLjIsMC4xTDMyLDcuOEMzMiw3LjksMzIuMSw4LDMyLjEsOGMwLDAuMSwwLDAuMi0wLjEsMC4ybC00LjQsNC40Yy0wLjEsMC4xLTAuMSwwLjEtMC4yLDAuMXMtMC4yLDAtMC4yLTAuMWwtNC40LTQuNEMyMi43LDguMiwyMi42LDguMSwyMi42LDh6Ii8+PC9zdmc+);
    background-position: 100% center;
    background-repeat: no-repeat;
    border-style: solid;
    border-width: 1px
}

input {
    line-height: normal;
    max-width: 100%
}

html {
    box-sizing: border-box
}

*, *:before, *:after {
    box-sizing: inherit
}

body {
    background: #fff
}

ul ul, ul ol, ol ol, ol ul {
    margin: 4px 0 5px 30px
}

ul ul li, ul ol li, ol ol li, ol ul li {
    margin-bottom: 6px
}

img, a img {
    border: none;
    padding: 0;
    margin: 0;
    display: inline-block;
    max-width: 100%;
    height: auto;
    image-rendering: optimizeQuality
}

input[type=text], input[type=email], input[type=url], input[type=password], input[type=search], input[type=tel], input[type=date], input[type=number], textarea {
    border: 1px solid;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box
}

a {
    text-decoration: none;
    outline: 0;
    max-width: 100%;
    max-width: none
}

a:hover, a:focus, a:visited {
    outline: 0
}

p a, p a:visited {
    line-height: inherit
}

.screen-reader-text {
    clip: rect(1px, 1px, 1px, 1px);
    position: absolute !important;
    height: 1px;
    width: 1px;
    overflow: hidden
}

body .aligncenter, .entry-content-wrapper a:hover .aligncenter {
    clear: both;
    display: block;
    margin: 10px auto;
    padding: 10px 0;
    position: relative
}

[class*=htmega-]>div {
    overflow-wrap: break-word;
    word-break: break-word
}

.design2022-button a, .design2022-view-more {
    -webkit-transition: all .3s ease;
    -o-transition: .3s ease all;
    transition: all .3s ease
}

.design2022-related-post .elementor-post__text .elementor-post__title {
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -moz-box;
    -webkit-box-orient: vertical;
    -ms-box-orient: vertical;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    height: 46px;
    margin-bottom: 11px
}

.design2022-related-post .elementor-post__text .elementor-post__excerpt {
    display: -ms-flexbox !important;
    display: flex !important;
    display: -webkit-box !important;
    display: -moz-box !important;
    -webkit-box-orient: vertical;
    -ms-box-orient: vertical;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    -webkit-line-clamp: 3;
    height: 62px
}

.design2022-related-post .elementor-post__text .elementor-post__read-more {
    margin-top: 16px
}

.design2022-related-post .elementor-post__text .elementor-post__read-more:after {
    content: "";
    display: inline-block;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    width: 6px;
    height: 6px;
    border-top: 1px solid #f50;
    border-right: 1px solid #f50;
    vertical-align: middle;
    position: relative;
    top: -1px;
    margin-left: 8px
}

.design2022-blog-detail .wp-block-button__link.has-luminous-vivid-orange-background-color {
    background-color: #f50;
    border-radius: 26px !important;
    border: 2px solid #f50;
    font-size: 14px;
    color: #fff;
    font-weight: 700;
    text-transform: uppercase;
    -webkit-transition: all .3s ease;
    -o-transition: .3s ease all;
    transition: all .3s ease
}

.post-template-default .elementor-widget-breadcrumbs span {
    text-align: left;
    font: normal normal normal 14px/16px;
    letter-spacing: 0;
    color: #fff
}

.post-template-default .elementor-widget-breadcrumbs a:after {
    content: "";
    display: inline-block;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    width: 6px;
    height: 6px;
    border-top: 1px solid #fff;
    border-right: 1px solid #fff;
    vertical-align: middle;
    position: relative;
    top: -1px;
    margin: 0 8px
}

.post-template-default .elementor-widget-htmega-social-shere-addons {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end
}

.post-template-default.single-post, .post-template-ebook.single-post {
    overflow-x: hidden
}

.post-template-default.single-post .post, .post-template-ebook.single-post .post {
    border-bottom: none;
    padding-bottom: 0
}

.htmega-social-share ul {
    list-style: none;
    margin: 0;
    padding: 0;
    list-style: none;
}

.htmega-social-style-1 ul li {
    display: inline-block;
    text-align: center;
    font-size: 16px;
    margin-right: 5px;
    margin-bottom: 10px;
    transition: 0.5s;
    line-height: 42px;
}

#toc_container {
    padding: 28px 26px;
    margin: 40px 0;
    position: relative;
    float: none;
}

#toc_container ul {
    font-size: 14px;
    line-height: 24px
}

#toc_container .toc_title {
    font-size: 18px;
    line-height: 35px;
    font-weight: 700;
    text-align: left !important;
    display: block;
    position: absolute;
    top: -20px;
    background: #fff
}

#toc_container .toc-toggler {
    display: block;
    right: 20px;
    position: absolute;
    top: -15px;
    background: #fff;
    text-decoration: underline;
    letter-spacing: 0;
    color: #006bff;
    cursor: pointer;
    font-size: 12px;
}

#toc_container .toc-toggler:before {
    content: "[";
    color: #dfdfdf
}

#toc_container .toc-toggler:after {
    content: "]";
    color: #dfdfdf
}

#toc_container .toc_list a {
    letter-spacing: 0;
    color: #f50;
}
#toc_container .toc_list > li > a{
    font-family: "Inter SemiBold 600", Sans-serif;
}

.design-2022-blog-list .mgn-blog-container #magenest-blog-search, .design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter {
    max-width: 526px;
    width: calc(50% - 20px);
    border-bottom: 2px solid #aaa;
    background-color: #f3f3f3;
    margin-left: 10px
}

.design-2022-blog-list .mgn-blog-container #magenest-blog-search input::-webkit-input-placeholder, .design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter input::-webkit-input-placeholder {
    color: #1e1a1a;
    font-size: 14px;
    font-weight: 400
}

.design-2022-blog-list .mgn-blog-container #magenest-blog-search input::-moz-placeholder, .design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter input::-moz-placeholder {
    color: #1e1a1a;
    font-size: 14px;
    font-weight: 400
}

.design-2022-blog-list .mgn-blog-container #magenest-blog-search input:-ms-input-placeholder, .design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter input:-ms-input-placeholder {
    color: #1e1a1a;
    font-size: 14px;
    font-weight: 400
}

.design-2022-blog-list .mgn-blog-container #magenest-blog-search input::-ms-input-placeholder, .design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter input::-ms-input-placeholder {
    color: #1e1a1a;
    font-size: 14px;
    font-weight: 400
}

.design-2022-blog-list .mgn-blog-container #magenest-blog-search input::placeholder, .design-2022-blog-list .mgn-blog-container #magenest-blog-search span, .design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter input::placeholder, .design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter span {
    color: #1e1a1a;
    font-size: 14px;
    font-weight: 400
}

.design-2022-blog-list .mgn-blog-container #magenest-blog-search #blog-search, .design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter #blog-search {
    color: #000;
    background-color: #f3f3f3
}

.design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter .angle-down {
    right: 15px;
    padding-top: 7px
}

.design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter .angle-down:before {
    font-size: 24px
}

.design-2022-blog-list .mgn-blog-container #magenest-blog-search {
    margin-right: 5px
}

.design-2022-blog-list .mgn-blog-container #magenest-blog-search #blog-search-button:before {
    font-size: 19px
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs {
    margin-top: 32px
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-posts-container .elementor-post {
    padding: 27px 24px 14px
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-posts-container .elementor-post .elementor-post__thumbnail {
    max-height: 225px;
    padding-bottom: 225px
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-posts-container .elementor-post .elementor-post__thumbnail img {
    height: 225px;
    -o-object-fit: cover;
    object-fit: cover
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-posts-container .elementor-post .elementor-post__title {
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -moz-box;
    -webkit-box-orient: vertical;
    -ms-box-orient: vertical;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    height: 50px;
    margin-bottom: 11px
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-posts-container .elementor-post .elementor-post__title a {
    font-size: 18px;
    color: #1e1a1a;
    line-height: 24px;
    font-weight: 400;
    text-transform: uppercase
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-posts-container .elementor-post .elementor-post__excerpt {
    display: -ms-flexbox !important;
    display: flex !important;
    display: -webkit-box !important;
    display: -moz-box !important;
    -webkit-box-orient: vertical;
    -ms-box-orient: vertical;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    -webkit-line-clamp: 3;
    height: 60px;
    font-size: 14px;
    color: #979797;
    line-height: 20px
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-posts-container .elementor-post .mgn_read_more_link {
    margin-top: 16px
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-posts-container .elementor-post .mgn_read_more_link a {
    font-size: 14px;
    font-weight: 400;
    color: #f50;
    margin-top: 16px
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-posts-container .elementor-post .mgn_read_more_link a:after {
    width: 6px;
    height: 6px;
    border-top: 1px solid #f50;
    border-right: 1px solid #f50
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-pagination {
    margin-bottom: 90px;
    margin-top: 70px
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-pagination .page-numbers {
    border-radius: 50%
}

.design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-pagination .page-numbers.current, .design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-pagination .page-numbers:hover {
    background-color: #f50
}

@media (max-width:1024px) {
    .design-2022-blog-list .mgn-blog-container #magenest-blog-search, .design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter {
        width: calc(50% - 20px);
        margin: 10px 0
    }

    .design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-posts-container .elementor-post .elementor-post__thumbnail {
        padding-bottom: 225px
    }
}

@media (max-width:768px) {
    .design-2022-blog-list .mgn-blog-container {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column
    }

    .design-2022-blog-list .mgn-blog-container #magenest-blog-search {
        -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
        order: 1
    }

    .design-2022-blog-list .mgn-blog-container .mgn-blog-action-filter {
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2
    }

    .design-2022-blog-list .mgn-blog-container .mgn-elementor-blogs {
        -webkit-box-ordinal-group: 4;
        -ms-flex-order: 3;
        order: 3
    }

    .design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-posts-container .elementor-post {
        padding: 27px 16px 14px
    }

    .design-2022-blog-list .mgn-blog-container #blogs_result_ajax.mgn-elementor-blogs .elementor-pagination {
        margin-bottom: 80px;
        margin-top: 50px
    }
}

.design2022-stories-slider .elementor-swiper-button {
    background-color: #fff;
    border-radius: 50%;
    box-shadow: 0 3px 6px #000;
    -webkit-box-shadow: 0 3px 6px #000;
    height: 46px;
    width: 46px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.design2022-stories-slider .elementor-swiper-button {
    box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
}

.design2022-stories-slider .elementor-swiper-button-prev {
    left: -20px!important;
}

.design2022-stories-slider .elementor-swiper-button-next {
    right: -24px!important;
}

.design2022-stories-slider .elementor-swiper-button i {
    line-height: 46px;
    text-align: center;
    width: 100%;
}

.design2022-stories-slider .swiper-pagination-bullet.swiper-pagination-bullet-active {
    background-color: #f50;
    height: 3px;
    width: 22px;
}

.design2022-stories-slider .swiper-pagination-bullet {
    background-color: #979797;
    border-radius: 0!important;
    height: 2px;
    width: 16px;
}

.design2022-stories-slider .swiper-container-horizontal>.swiper-pagination-bullets {
    bottom: -5px;
}

.design2022-stories-slider .swiper-pagination-bullet.swiper-pagination-bullet-active {
    background-color: #f50;
    height: 3px;
    width: 22px;
}

.design2022-case-study-content #toc_container {
    display: none !important
}

.design2022-case-study-techspec {
    -webkit-backdrop-filter: blur(9px);
    backdrop-filter: blur(9px)
}

.design2022-blur-bg {
    -webkit-backdrop-filter: blur(23px);
    backdrop-filter: blur(23px)
}